VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo:
[legend]

## Public Member Functions

| PhysicalDeviceExternalBufferInfo (BufferCreateFlags flags_=BufferCreateFlags(), BufferUsageFlags usage_=BufferUsageFlags(), ExternalMemoryHandleTypeFlagBits handleType_=ExternalMemoryHandleTypeFlagBits::eOpaqueFd)
| PhysicalDeviceExternalBufferInfo (VkPhysicalDeviceExternalBufferInfo const &rhs)
PhysicalDeviceExternalBufferInfo & | operator= (VkPhysicalDeviceExternalBufferInfo const &rhs)
PhysicalDeviceExternalBufferInfo & | setPNext (const void *pNext_)
PhysicalDeviceExternalBufferInfo & | setFlags (BufferCreateFlags flags_)
PhysicalDeviceExternalBufferInfo & | setUsage (BufferUsageFlags usage_)
PhysicalDeviceExternalBufferInfo & | setHandleType (ExternalMemoryHandleTypeFlagBits handleType_)
| operator VkPhysicalDeviceExternalBufferInfo const & () const
| operator VkPhysicalDeviceExternalBufferInfo & ()
bool | operator== (PhysicalDeviceExternalBufferInfo const &rhs) const
bool | operator!= (PhysicalDeviceExternalBufferInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
BufferCreateFlags | flags
BufferUsageFlags | usage
ExternalMemoryHandleTypeFlagBits | handleType

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceExternalBufferInfo

## Detailed Description

Definition at line 31641 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceExternalBufferInfo() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::PhysicalDeviceExternalBufferInfo | ( | BufferCreateFlags | flags_ = `BufferCreateFlags()`,
|  | BufferUsageFlags | usage_ = `BufferUsageFlags()`,
|  | ExternalMemoryHandleTypeFlagBits | handleType_ = `ExternalMemoryHandleTypeFlagBits::eOpaqueFd`
| ) |  |

inline

Definition at line 31643 of file vulkan.hpp.

: flags( flags_ )
, usage( usage_ )
, handleType( handleType_ )
{
}

## PhysicalDeviceExternalBufferInfo() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::PhysicalDeviceExternalBufferInfo | ( | VkPhysicalDeviceExternalBufferInfo const & | rhs | ) |

inline

Definition at line 31652 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceExternalBufferInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceExternalBufferInfo &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::operator VkPhysicalDeviceExternalBufferInfo & | ( |  | ) |

inline

Definition at line 31691 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceExternalBufferInfo*>(this);
}

## operator VkPhysicalDeviceExternalBufferInfo const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::operator VkPhysicalDeviceExternalBufferInfo const & | ( |  | ) | const

inline

Definition at line 31686 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceExternalBufferInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::operator!= | ( | PhysicalDeviceExternalBufferInfo const & | rhs | ) | const

inline

Definition at line 31705 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceExternalBufferInfo& VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::operator= | ( | VkPhysicalDeviceExternalBufferInfo const & | rhs | ) |

inline

Definition at line 31657 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceExternalBufferInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::operator== | ( | PhysicalDeviceExternalBufferInfo const & | rhs | ) | const

inline

Definition at line 31696 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( usage == rhs.usage )
&& ( handleType == rhs.handleType );
}

References flags, handleType, pNext, sType, and usage.

Referenced by operator!=().

## setFlags()

PhysicalDeviceExternalBufferInfo& VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::setFlags | ( | BufferCreateFlags | flags_ | ) |

inline

Definition at line 31668 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setHandleType()

PhysicalDeviceExternalBufferInfo& VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::setHandleType | ( | ExternalMemoryHandleTypeFlagBits | handleType_ | ) |

inline

Definition at line 31680 of file vulkan.hpp.

{
handleType = handleType_;
return *this;
}

## setPNext()

PhysicalDeviceExternalBufferInfo& VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 31662 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setUsage()

PhysicalDeviceExternalBufferInfo& VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::setUsage | ( | BufferUsageFlags | usage_ | ) |

inline

Definition at line 31674 of file vulkan.hpp.

{
usage = usage_;
return *this;
}

## Field Documentation

## flags

BufferCreateFlags VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::flags

Definition at line 31715 of file vulkan.hpp.

Referenced by operator==().

## handleType

ExternalMemoryHandleTypeFlagBits VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::handleType

Definition at line 31717 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::pNext = nullptr

Definition at line 31714 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::sType = StructureType::ePhysicalDeviceExternalBufferInfo

private

Definition at line 31711 of file vulkan.hpp.

Referenced by operator==().

## usage

BufferUsageFlags VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::usage

Definition at line 31716 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::operator==
bool operator==(PhysicalDeviceExternalBufferInfo const &rhs) const
Definition: vulkan.hpp:31696
VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::pNext
const void * pNext
Definition: vulkan.hpp:31714
VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::flags
BufferCreateFlags flags
Definition: vulkan.hpp:31715
memcpy
#define memcpy
Definition: SDL_malloc.c:630
usage
GLsizeiptr const void GLenum usage
Definition: SDL_opengl_glext.h:537
VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::sType
StructureType sType
Definition: vulkan.hpp:31711
VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::handleType
ExternalMemoryHandleTypeFlagBits handleType
Definition: vulkan.hpp:31717
VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::usage
BufferUsageFlags usage
Definition: vulkan.hpp:31716
VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalBufferInfo::PhysicalDeviceExternalBufferInfo
PhysicalDeviceExternalBufferInfo(BufferCreateFlags flags_=BufferCreateFlags(), BufferUsageFlags usage_=BufferUsageFlags(), ExternalMemoryHandleTypeFlagBits handleType_=ExternalMemoryHandleTypeFlagBits::eOpaqueFd)
Definition: vulkan.hpp:31643
VkPhysicalDeviceExternalBufferInfo
Definition: vulkan_core.h:4387
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
handleType
GLuint64 GLenum handleType
Definition: gl2ext.h:1508